org.apache.lucene.analysis.ko

## Class KoreanNumberFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.ko.KoreanNumberFilterFactory

-     public class KoreanNumberFilterFactory
      extends TokenFilterFactory

  Factory for `KoreanNumberFilter`.

       <fieldType name="text_ko" class="solr.TextField">
         <analyzer>
           <tokenizer class="solr.KoreanTokenizerFactory" discardPunctuation="false"/>
           <filter class="solr.KoreanNumberFilterFactory"/>
         </analyzer>
       </fieldType>

  It is important that punctuation is not discarded by the tokenizer so use `discardPunctuation="false"` in your `KoreanTokenizerFactory`.

  Since:
    8.2.0
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "koreanNumber"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KoreanNumberFilterFactory(Map<String,String> args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenStream` | `create(TokenStream input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KoreanNumberFilterFactory

          public KoreanNumberFilterFactory(Map<String,String> args)

  - ### Method Detail

    - #### create

          public TokenStream create(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.